API Яндекс.Директа

Ограничение поддержки некоторых методов API 4 и Live 4 – первый этап перехода на пятую версию

1 июля 2016, 16:54

Как мы рассказывали, в API Директа запланирован постепенный переход некоторых устаревших методов API 4 и Live 4 на соответствующие сервисы API 5. Сегодня мы хотим предупредить вас о начале первого этапа этого перехода.

Через неделю при вызове некоторых методов версии API 4 периодически будет выдаваться ошибка 59 об ограничении использования этих методов и необходимости перехода на API 5. Ниже мы приводим полный список методов, которых затронут эти изменения.

Через две недели после этого мы планируем начать второй этап перехода: полностью отключить указанные методы в API 4. Методы API 4 Live будут закрыты немного позднее – ориентировочно в 20-х числах августа. О каждом из этапов закрытия методов мы сообщим вам дополнительно.

Список методов API 4, запланированных к закрытию через 2 недели:

CreateOrUpdateCampaign, GetCampaignsList, GetCampaignsListFilter, GetCampaignsParams, GetCampaignParams, DeleteCampaign, ResumeCampaign, StopCampaign, ArchiveCampaign, UnArchiveCampaign, CreateOrUpdateBanners, GetBanners, DeleteBanners, ModerateBanners, ResumeBanners, StopBanners, ArchiveBanners, UnArchiveBanners, GetBannerPhrases, GetBannerPhrasesFilter, SetAutoPrice, UpdatePrices, GetChanges.

Список методов API Live 4, запланированных к закрытию в августе:

CreateOrUpdateCampaign (Live), GetCampaignsList (Live), GetCampaignsListFilter (Live), GetCampaignsParams (Live), GetCampaignParams (Live), DeleteCampaign (Live), ResumeCampaign (Live), StopCampaign (Live), ArchiveCampaign (Live), UnArchiveCampaign (Live), CreateOrUpdateBanners (Live), GetBanners (Live), DeleteBanners (Live), ModerateBanners (Live), ResumeBanners (Live), StopBanners (Live), ArchiveBanners (Live), UnArchiveBanners (Live), Keyword (Live), GetBannerPhrases (Live), GetBannerPhrasesFilter (Live), SetAutoPrice (Live), UpdatePrices (Live), GetChanges (Live).

В документации в разделе «Руководство по переходу» вы найдете всю информацию о соответствии методов и их параметров в версиях API 4 и Live 4 и API 5 — для корректной миграции ваших приложений на пятую версию API.

0 комментариев
Подписаться на комментарии к посту